#!/bin/bash
 
# Assign parameters to variables 
HOST=$1 
USER=$2 
PASSWORD=$3

# EU
# tonnage
for y in {1997..2023}
do
  mkdir -p ./temp
  wget -O ./temp/temp_Q1.tsv -N "https://ec.europa.eu/eurostat/api/dissemination/sdmx/3.0/data/dataflow/ESTAT/mar_go_qm/1.0?&c[tra_cov]=TOTAL&c[direct]=TOTAL&c[time_period]=${y}-Q1&format=tsv"
  wget -O ./temp/temp_Q2.tsv -N "https://ec.europa.eu/eurostat/api/dissemination/sdmx/3.0/data/dataflow/ESTAT/mar_go_qm/1.0?&c[tra_cov]=TOTAL&c[direct]=TOTAL&c[time_period]=${y}-Q2&format=tsv"
  wget -O ./temp/temp_Q3.tsv -N "https://ec.europa.eu/eurostat/api/dissemination/sdmx/3.0/data/dataflow/ESTAT/mar_go_qm/1.0?&c[tra_cov]=TOTAL&c[direct]=TOTAL&c[time_period]=${y}-Q3&format=tsv"
  wget -O ./temp/temp_Q4.tsv -N "https://ec.europa.eu/eurostat/api/dissemination/sdmx/3.0/data/dataflow/ESTAT/mar_go_qm/1.0?&c[tra_cov]=TOTAL&c[direct]=TOTAL&c[time_period]=${y}-Q4&format=tsv"
  mariadb -h "$HOST" -u "$USER" -p"$PASSWORD" -e " \
  CREATE TEMPORARY TABLE FACT_ports.staging_1 (Row varchar(50) NOT NULL, Value INT, Year INT); \
  LOAD DATA LOCAL INFILE \"temp/temp_Q1.tsv\" INTO TABLE FACT_ports.staging_1 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Row=@col1, Value=@col2, Year=${y}; \
  DELETE from FACT_ports.staging_1 where length(row) < 29; \
  CREATE TEMPORARY TABLE FACT_ports.staging_2 (Row varchar(50) NOT NULL, Value INT, Year INT); \
  LOAD DATA LOCAL INFILE \"temp/temp_Q2.tsv\" INTO TABLE FACT_ports.staging_2 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Row=@col1, Value=@col2, Year=${y}; \
  DELETE from FACT_ports.staging_2 where length(row) < 29; \
  CREATE TEMPORARY TABLE FACT_ports.staging_3 (Row varchar(50) NOT NULL, Value INT, Year INT); \
  LOAD DATA LOCAL INFILE \"temp/temp_Q3.tsv\" INTO TABLE FACT_ports.staging_3 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Row=@col1, Value=@col2, Year=${y}; \
  DELETE from FACT_ports.staging_3 where length(row) < 29; \
  CREATE TEMPORARY TABLE FACT_ports.staging_4 (Row varchar(50) NOT NULL, Value INT, Year INT); \
  LOAD DATA LOCAL INFILE \"temp/temp_Q4.tsv\" INTO TABLE FACT_ports.staging_4 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Row=@col1, Value=@col2, Year=${y}; \
  DELETE from FACT_ports.staging_4 where length(row) < 29; \
  INSERT INTO FACT_ports.eu_tonnage (PORT_ID, Year, Q1) SELECT SUBSTR(SUBSTRING_INDEX(Row,',',-1),5,5), Year, Value FROM FACT_ports.staging_1 ON DUPLICATE KEY UPDATE Q1 = Value; \
  INSERT INTO FACT_ports.eu_tonnage (PORT_ID, Year, Q2) SELECT SUBSTR(SUBSTRING_INDEX(Row,',',-1),5,5), Year, Value FROM FACT_ports.staging_2 ON DUPLICATE KEY UPDATE Q2 = Value; \
  INSERT INTO FACT_ports.eu_tonnage (PORT_ID, Year, Q3) SELECT SUBSTR(SUBSTRING_INDEX(Row,',',-1),5,5), Year, Value FROM FACT_ports.staging_3 ON DUPLICATE KEY UPDATE Q3 = Value; \
  INSERT INTO FACT_ports.eu_tonnage (PORT_ID, Year, Q4) SELECT SUBSTR(SUBSTRING_INDEX(Row,',',-1),5,5), Year, Value FROM FACT_ports.staging_4 ON DUPLICATE KEY UPDATE Q4 = Value; \
  "
  rm -r ./temp
done
