#!/bin/bash
 
# Assign parameters to variables 
HOST=$1 
USER=$2 
PASSWORD=$3

# Europe
# coordinate reference system: ETRS89 / LAEA
echo "*** Downloading and loading EU grid 1km." # expected number of records in DB:
# 2009
mkdir -p ./temp
wget -N 'https://ec.europa.eu/eurostat/cache/GISCO/geodatafiles/PORT_2009_SH.zip' -P ./temp
unzip -d ./temp/ ./temp/PORT_2009_SH.zip
ogr2ogr -f MySQL MySQL:FACT_ports,host="$HOST",user="$USER",password="$PASSWORD" ./temp/PORT_2009_SH/shape/data/PORT_PT_2009.shp -nln eu_ports_2009_geo -update -overwrite -lco engine=Aria -t_srs EPSG:4326
rm -r ./temp
# 2013
mkdir -p ./temp
wget -N 'https://ec.europa.eu/eurostat/cache/GISCO/geodatafiles/PORT_2013_SH.zip' -P ./temp
unzip -d ./temp/ ./temp/PORT_2013_SH.zip
ogr2ogr -f MySQL MySQL:FACT_ports,host="$HOST",user="$USER",password="$PASSWORD" ./temp/PORT_2013_SH/Data/PORT_PT_2013.shp -nln eu_ports_2013_geo -update -overwrite -lco engine=Aria -t_srs EPSG:4326
rm -r ./temp


# US
mkdir -p ./temp
wget -N 'https://hub.arcgis.com/api/v3/datasets/e3b6065cce144be8a13a59e03c4195fe_0/downloads/data?format=shp&spatialRefId=3857&where=1%3D1' -O ./temp/Principal_Ports.zip
unzip -d ./temp/ ./temp/Principal_Ports.zip
ogr2ogr -f MySQL MySQL:FACT_ports,host="$HOST",user="$USER",password="$PASSWORD" ./temp/Principal_Ports.shp -nln us_ports_geo -update -overwrite -lco engine=Aria -t_srs EPSG:4326
rm -r ./temp
